إصدار ‏‎Graph API‎‏

Whats App Business Account Call Analytics

قراءة

Enables one to retrieve the call analytics data for this WhatsApp Business Account

مثال

Graph API Explorer
GET /v26.0/{whats-app-business-account-id}/call_analytics HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/call_analytics',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/call_analytics",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/call_analytics",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/call_analytics"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
إذا كنت تريد التعرف على كيفية استخدام واجهة Graph API، يرجى قراءة ‏دليل استخدام واجهة Graph API‏.

المعلمات

معلمةالوصف
country_codes
array<string>
القيمة الافتراضية: ‏[]‏

Country codes to receive analytics for

dimensions
array<enum {UNKNOWN, PHONE, COUNTRY, DIRECTION, TIER}>
القيمة الافتراضية: ‏[]‏

Dimensions to receive analytics for

directions
array<enum {UNKNOWN, BUSINESS_INITIATED, USER_INITIATED}>
القيمة الافتراضية: ‏[]‏

Call directions to receive analytics for

end
int64

End time

مطلوب
granularity
enum {HALF_HOUR, DAILY, MONTHLY}

What granularity to receive analytics for

مطلوب
metric_types
array<enum {UNKNOWN, COUNT, AVERAGE_DURATION, COST}>
القيمة الافتراضية: ‏[]‏

Metric types to receive analytics for

phone_numbers
array<string>
القيمة الافتراضية: ‏[]‏

Phone numbers to receive analytics for

start
int64

Start time

مطلوب
tiers
array<string>
القيمة الافتراضية: ‏[]‏

tiers

الحقول

ستؤدي القراءة من عنصر الربط هذا إلى نتيجة بتنسيق JSON:

{ "data": [], "paging": {} }

data

قائمة عُقد ‏‎WABACallAnalytics‎‏.

paging

لمزيد من التفاصيل عن تقسيم الصفحات، يرجى الاطلاع على ‏دليل Graph API‏.

‎Error Codes‎

خطأالوصف
100Invalid parameter

إنشاء

لا يمكنك تنفيذ هذه العملية في نقطة النهاية هذه.

جارٍ التحديث

لا يمكنك تنفيذ هذه العملية في نقطة النهاية هذه.

جارٍ الحذف

لا يمكنك تنفيذ هذه العملية في نقطة النهاية هذه.